

This BUG_ON() triggers for `count = -EFOO' due to PAGE_SIZE being unsigned.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/sysfs/file.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/sysfs/file.c~sysfs-fill_read_buffer-fix fs/sysfs/file.c
--- 25/fs/sysfs/file.c~sysfs-fill_read_buffer-fix	2004-06-26 19:03:11.821870464 -0700
+++ 25-akpm/fs/sysfs/file.c	2004-06-26 19:03:20.119609016 -0700
@@ -83,7 +83,7 @@ static int fill_read_buffer(struct file 
 		return -ENOMEM;
 
 	count = ops->show(kobj,attr,buffer->page);
-	BUG_ON(count > PAGE_SIZE);
+	BUG_ON(count > (ssize_t)PAGE_SIZE);
 	if (count >= 0)
 		buffer->count = count;
 	else
_
